apiVersion: extensions/v1beta1
kind: Deployment
metadata:
  annotations:
    kompose.service.type: nodeport
    kompose.version: 1.17.0 (a74acad)
  labels:
    io.kompose.service: k8s-demo
  name: k8s-demo
spec:
  replicas: 1
  strategy: {}
  template:
    metadata:
      labels:
        io.kompose.service: k8s-demo
    spec:
      containers:
      - env:
        - name: AUTHOR
          value: Ijaz Ahmad
        image: CI_IMAGE
        name: static-site
        imagePullPolicy: Always
        ports:
        - containerPort: 80
        resources: {}
      restartPolicy: Always
